<?xml version="1.0" encoding="utf-16"?>
<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <!-- Global information for this movie provider -->
  <Name>
	Kinopoisk.ru
  </Name>
  <HomePage>
	www.kinopoisk.ru</HomePage>
  <Language>
	Russian
  </Language>
  <Version>0.1</Version>
  <!-- Indicates support for data retrieval -->
  <SupportsCastAndDirector>true</SupportsCastAndDirector>
  <SupportsCover>false</SupportsCover>
  <SupportsPlot>
	true
  </SupportsPlot>
  <SupportsRating>true</SupportsRating>
  <!-- List of urls to search for movie -->
  <!-- Enabled = true or false (allow to temporarely disable an url without remove from configuration file) -->
  <!-- Url = {0} will be replaced by the title of the movie  -->
  <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
  <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
  <!--                 should at least contains one value. -->
  <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
  <!-- NextPage = reserved (leave empty for now) -->
  <SearchUrls>
    <Search>
      <Enabled>true</Enabled>
      <Url>http://www.kinopoisk.ru/index.php?kp_query={0}&amp;x=0&amp;y=0</Url>
      <RegExp>href="(?&lt;Link&gt;/level/1/film/[^"]*?)"&gt;(?&lt;Title&gt;.*?)&lt;/a&gt;</RegExp>
      <MoviePlotLink>
        <string>http://www.kinopoisk.ru{0}</string>
      </MoviePlotLink>
      <MaxResult>10</MaxResult>
      <NextPage />
    </Search>
  </SearchUrls>
  <!-- MaxResult = global limitation for number of movie results -->
  <MaxResult>10</MaxResult>
  <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
  <RegExp_Title>moviename-big"&gt;(?&lt;1&gt;.*?)&lt;/</RegExp_Title>
  <RegExp_OriginalTitle>style="font-size:13px;color:#666"&gt;(?&lt;1&gt;.*?)&lt;/span&gt;</RegExp_OriginalTitle>
  <RegExp_Year>5Byear.5D/(?&lt;1&gt;.*?)/</RegExp_Year>
  <RegExp_Runtime>время&lt;/td&gt;&lt;td.*?&gt;(?&lt;1&gt;.*?)\s</RegExp_Runtime>
  <!-- Regular expressions to look for plot -->
  <!-- options allow to remove specials characters before using regexp -->
  <ReplaceLFbySpaceBeforeRegExpPlot>false</ReplaceLFbySpaceBeforeRegExpPlot>
  <ReplaceCRbySpaceBeforeRegExpPlot>false</ReplaceCRbySpaceBeforeRegExpPlot>
  <ReplaceTBbySpaceBeforeRegExpPlot>false</ReplaceTBbySpaceBeforeRegExpPlot>
  <RegExp_Plot>colspan=3\sstyle="[^"]*?"\sclass="news"&gt;(\s|\n)+(?&lt;1&gt;.*?)(\s|\n)+&lt;/td&gt;</RegExp_Plot>
  <!-- Regular expressions to look for genres, directors and actors -->
  <RegExp_Genres>5Bgenre%5D[^&gt;]*?&gt;(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Genres>
  <Genres_MultipleMatches>true</Genres_MultipleMatches>
  <RegExp_Directors>режиссер&lt;/td&gt;&lt;td.*?&gt;(?&lt;1&gt;&lt;a.*?&lt;/a&gt;)&lt;/td&gt;&lt;/tr&gt;</RegExp_Directors>
  <Directors_MultipleMatches>false</Directors_MultipleMatches>
  <RegExp_Actors>align=right&gt;&lt;a\shref="/level/4/people/[^&gt;]*?&gt;(?&lt;1&gt;.*?)&lt;/a</RegExp_Actors>
  <Actors_MultipleMatches>true</Actors_MultipleMatches>
  <!-- Regular expressions to look for cover -->
  <!-- RegExp_CoverLinkFront = regexp used on movie page -->
  <!-- RegExp_CoverUrl = used to look for a "galery" url on movie page -->
  <!-- RegExp_HowGotoCoverUrl = regexp to construct and follow "galery" link -->
  <!-- RegExp_CoverLinkFront2 = regexp to extract cover link from "galery" page -->
  <RegExp_CoverLinkFront></RegExp_CoverLinkFront>
  <RegExp_CoverUrl></RegExp_CoverUrl>
  <RegExp_HowGotoCoverUrl></RegExp_HowGotoCoverUrl>
  <RegExp_CoverLinkFront2></RegExp_CoverLinkFront2>
  <!-- Regular expressions to find Rating, it stops after it finds one non empty result (done in that order) -->
  <RegExp_Rating>
    <string>class="continue"[^&gt;]*&gt;([^,&lt;]+)&lt;span</string>
  </RegExp_Rating>
  <RatingRate>1</RatingRate>
  <!-- Encoding used to send Title, and to read HTML pages -->
  <TitleEncoding>Default</TitleEncoding>
  <ContentEncoding>windows-1251</ContentEncoding>
  <Debug>true</Debug>
</MyMPConfig>